// ChildFrm.h : interface of the CChildFrame class
//

#pragma once

#include "MouseTracker.h"

class CINKSDoc;
class CINKSView;

class CChildFrame : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CChildFrame)
public:
	CChildFrame();
	
	static CChildFrame* GetChildFrame();
	static CINKSDoc* GetChildDocument();
	static CINKSView* GetChildView();

private:

public:

private:
	CChildFrame *m_pActiveFrame;
	CINKSDoc *m_pActiveDocument;
	CINKSView *m_pActiveView;

	CMouseTracker::Mode m_nMouseTrackerMode;
	CMouseTracker::CreateMode m_nMouseTrackerCreate;

// overrides:
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnMDIActivate(BOOL bActivate, CWnd *pActivateWnd, CWnd *pDeactivateWnd);

// Implementation
public:
	virtual ~CChildFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};
